# Run tests in check section
# Tests need Internet access, disabled.
%bcond_with check

%global goipath         github.com/openzipkin/zipkin-go
Version:                0.1.6

%global common_description %{expand:
Zipkin tracer library for go.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Zipkin tracer library for go
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/Shopify/sarama)
BuildRequires: golang(github.com/gogo/protobuf/proto)
BuildRequires: golang(github.com/golang/protobuf/proto)
BuildRequires: golang(golang.org/x/net/context)
BuildRequires: golang(google.golang.org/grpc)
BuildRequires: golang(google.golang.org/grpc/codes)
BuildRequires: golang(google.golang.org/grpc/metadata)
BuildRequires: golang(google.golang.org/grpc/peer)
BuildRequires: golang(google.golang.org/grpc/stats)
BuildRequires: golang(google.golang.org/grpc/status)
%if %{with check}
BuildRequires: golang(github.com/gorilla/mux)
BuildRequires: golang(github.com/onsi/ginkgo)
BuildRequires: golang(github.com/onsi/gomega)
%endif

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.6-1
- Release 0.1.6 (#1688700)

* Mon Mar 11 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.5-1
- Release 0.1.5 (#1687408)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.0-1
- First package for Fedora

